%% Let's load all the necessary parameters in Matlab's Workspace

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft momentum of inertia with clutch closed (Kg*m2):
Jc = 1.0472;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% pumping and friction torque (Nm):
T_p = 20;

% cylinders' torque gain (N*m/Kg):
G = 390000;

% cylynders' torque offset (Nm):
T0 = -14.2;

% spark efficiency parameters:
eta_a = 0.725;
eta_b = 0.083;
eta_c = 0.005;

% manifold dynamic parameters:
ap = -2.3;  % 1/sec
bp = 15369;  % 1/(sec*m^2)

% compression mass/pressure gain (Kg/Pa):
Gmp = 4.5e-9;

% compression mass offset (Kg):
Mo = -2.08e-5;

% -------------------------- state and input variables at set point --------------------------------------------

% manifold pressure (Pa):
p0 = 24873;

% crank revolution speed (RPM):
n0 = 800;

% throttle angle (deg):
alpha0 = 3.77;

% spark advance (deg):
fi = 20;
